A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Types | Static Public Member Functions
dtype_traits< std::complex< float > > Struct Reference

`#include <traits.hpp>`

## Public Types
enum | { af_type = c32 , ctype = c32 }
typedef float | base_type

## Static Public Member Functions
static const char * | getName ()

## Detailed Description

Definition at line 44 of file traits.hpp.

## Member Typedef Documentation

## ◆ base_type

typedef float base_type

Definition at line 49 of file traits.hpp.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
af_type |
ctype |

Definition at line 45 of file traits.hpp.

45 {
46 af_type = c32 ,
47 ctype = c32
48 };
c32
@ c32
32-bit complex floating point values
Definition defines.h:212
af::dtype_traits< std::complex< float > >::af_type
@ af_type
Definition traits.hpp:46
af::dtype_traits< std::complex< float > >::ctype
@ ctype
Definition traits.hpp:47

## Member Function Documentation

## ◆ getName()

static const char * getName | ( |  | ) |
| inline static

Definition at line 50 of file traits.hpp.

50{ return "std::complex<float>"; }

The documentation for this struct was generated from the following file:

- traits.hpp